<template>
    <div>

        <general-products-list title="Загальний список" :products-list-data="productDataList" @select="onSelect" />
        <general-products-list title="Список обраних" :products-list-data="selectedProductsList" is-selected-list
            @deselect="onDeselect" />
    </div>
</template>
  
<script>
import GeneralProductsList from './GeneralProductsList.vue'
export default {
    name: 'ProductManager', //name
    components: {
        GeneralProductsList, // gets general list. in other words basic list of products.
    },

    data() { //internal data for this component. 
        return {
            productDataList: [ //each card data
                {
                    id: 1,
                    imgSrc:
                        'https://gifty.in.ua/public/cache/images/8/3/6/8/8/dfa79a7a758096dfac362817cc64c6c1_600_1800.jpg',
                    title: 'НАБІР ІЗ 4-Х MORE HUGS',
                    price: 1370,
                },
                {
                    id: 2,
                    imgSrc:
                        'https://gifty.in.ua/public/cache/images/1/3/2/2/6/5/697d005755bfdcd57db714b9df01f3c8_600_1800.jpg',
                    title: 'НАБІР З 4-Х ЧУДОВИЙ СЕЗОН',
                    price: 2489,
                },
                {
                    id: 3,
                    imgSrc:
                        'https://gifty.in.ua/public/cache/images/1/1/8/5/4/2/aca2d15110a15f3156b8be7c30e50256_600_1800.jpg',
                    title: 'НАБІР З 3-Х ЧЕРВОНИЙ ТРИПТИХ',
                    price: 2250,
                },
                {
                    id: 4,
                    imgSrc:
                        'https://gifty.in.ua/public/cache/images/1/2/2/8/8/8/962d51b4471883b45f6d0384210d73c7_600_1800.jpg',
                    title: 'НАБІР ЩОДЕННИКІВ 4 SEASONS',
                    price: 1960,
                },
                {
                    id: 5,
                    imgSrc:
                        'https://gifty.in.ua/public/cache/images/1/2/4/5/5/0/44e96b76ffa8de754ce17a6030f6de05_600_1800.jpg',
                    title: 'НАБІР З 5-ТИ ВСЬО ЧОТКО',
                    price: 1810,
                },
                {
                    id: 6,
                    imgSrc:
                        'https://gifty.in.ua/public/cache/images/1/4/0/0/8/7/f630cf9fc7feb1b43554865a9623d2e1_900_700.jpg',
                    title: 'НАБІР З 3-Х ПІД ВИШНЕЮ-ЧЕРЕШНЕЮ',
                    price: 1790,
                },
                {
                    id: 7,
                    imgSrc:
                        'https://gifty.in.ua/public/cache/images/1/3/9/5/2/3/1527edc917dec97054c377bc6fe17e32_900_700.jpg',
                    title: 'НАБІР З 3-Х МАМІ З ЛЮБОВ’Ю',
                    price: 1540,
                },
                {
                    id: 7,
                    imgSrc:
                        'https://gifty.in.ua/public/cache/images/1/3/3/2/8/8/cbfc34fb7302b20dcea3e9872b3c1a14_600_1800.jpg',
                    title: 'НАБІР З 4-Х ЛЮБЛЮ-ЦІЛУЮ',
                    price: 1430,
                },
            ],
            selectedProductsList: [], //specific list, lets say a place to storage selected products
        }
    },


    methods: {
        onSelect(productId) { //if the button is clicked in general list
            const cardData = this.productDataList.find(
                (item) => item.id === productId
            )
            this.selectedProductsList.push(cardData)
            this.productDataList = this.productDataList.filter(
                (item) => item.id !== productId
            )
        },
        onDeselect(productId) { //if the button is clicked in selected list
            const cardData = this.selectedProductsList.find(
                (item) => item.id === productId
            )
            this.productDataList.push(cardData)
            this.selectedProductsList = this.selectedProductsList.filter(
                (item) => item.id !== productId
            )
        },
    },
}
</script>
  
<style lang="css" scoped></style>